# FtpDir

Retrieves a verbose directory listing.

## SYNOPSIS

    #include <ftplib.h>
    int FtpDir(const char *outputfile, const char *path, netbuf *nControl);

## PARAMETERS

outputfile
  Name of a local file to receive the directory listing. If specified as NULL, the directory listing is written to stdout.
path
  File specification to pass to remote 'ls'.
nControl
  A handle returned by FtpConnect().

## DESCRIPTION

Sends a LIST command to the server with the specified path. The response to this is usually a long format directory listing which will be written to the file named in outputfile. If outputfile is specified as NULL, the list will be written to stdout.

The format of the listing is dependent on the type of the remote system. The system type can be determined from FtpSysType().

## RETURN VALUE

Returns 1 if successful or 0 on error.